package io.github.null2264.tsukumogami.core.ext

import io.github.null2264.tsukumogami.core.koin.TsukumogamiKoinContext
import org.koin.core.module.Module
import org.koin.dsl.ModuleDeclaration
import org.koin.dsl.module

fun loadModule(
    createdAtStart: Boolean = false,
    moduleDeclaration: ModuleDeclaration,
): Module {
    val moduleObj = module(createdAtStart, moduleDeclaration)

    TsukumogamiKoinContext.loadKoinModules(moduleObj)

    return moduleObj
}

fun loadModule(module: Module): Module {
    TsukumogamiKoinContext.loadKoinModules(module)

    return module
}
